

% Parametros de resolucao

ContadorMax = 100;

% Definicao do sistema
mu = 0.1;
F = @(t,x) vanderPol(t,x,mu); 

t = (0:0.01:3.5)';                % Intervalo de resolucao
x0 = [0,1.8];                     % Condicao inicial

xi = ones(size(t))*x0;          % Curva inicial para iteracao

x = zeros([size(xi),ContadorMax]);
x(:,:,1) = xi;

% Definicao do metodo de integracao
%integrador = @(y) Retangulo(t,y,F);
%integrador = @(y) Trapezio(t,y,F);
integrador = @(y) TrapezioNorm(t,y,F);

% Iterando Metodo de Picard
figure;
for i = 2:ContadorMax
    
    x(:,:,i) = xi + integrador(x(:,:,i-1));
    
    plot(x(:,1,i),x(:,2,i))
    title(sprintf('n = %f',i))
    pause(0.5)
end